class LazyBlobsController < ActionController::Base
  def show
    @blob = LazyBlob.find_by(digest: params[:digest])

    if stale?(@blob, last_modified: @blob.created_at.utc, public: true)
      headers['Content-Type'] = @blob.content_type
      headers['Content-Length'] = @blob.content_length
      send_data(@blob.content, filename: @blob.filename, disposition: :inline)
    end
  end

  def create
    @blob = LazyBlob.from_upload(params[:file])

    if @blob.save
      render json: { digest: @blob.digest }
    else
      render json: { errors: @blob.errors }, status: :unprocessable_entity
    end
  end
end