class LazyAttachment < ActiveRecord::Base
  belongs_to :lazy_blob
  belongs_to :record, polymorphic: true
  validates :name, presence: true
  validates :digest, presence: true

  before_validation do
    self.digest = lazy_blob.digest
  end

  def data_uri
    lazy_blob.data_uri
  end

  def path
    Rails.application.routes.url_helpers.lazy_blob_path(digest)
  end

  def url
    Rails.application.routes.url_helpers.lazy_blob_url(digest)
  end
end
