module LazyBlobStorage
  class Engine < ::Rails::Engine
    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        config.paths["db/migrate"].expanded.each do |expanded_path|
          app.config.paths["db/migrate"] << expanded_path
        end
      end
    end

    initializer 'mixin_lazy_attachable' do
      ActiveSupport.on_load(:active_record) do
        self.include LazyAttachable
      end
    end
  end
end
